<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_91) on Fri Dec 07 15:00:36 GMT 2018 -->
<title>Serialized Form</title>
<meta name="date" content="2018-12-07">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="mapping/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<h2 title="Package">Package&nbsp;mapping</h2>
<ul class="blockList">
<li class="blockList"><a name="mapping.AdvancedMappingPopup">
<!--   -->
</a>
<h3>Class <a href="mapping/AdvancedMappingPopup.html" title="class in mapping">mapping.AdvancedMappingPopup</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>mapping</h4>
<pre>javax.swing.JTextField mapping</pre>
</li>
<li class="blockList">
<h4>keyText</h4>
<pre>javax.swing.JTextField keyText</pre>
</li>
<li class="blockList">
<h4>unicodeInput</h4>
<pre>javax.swing.JTextField unicodeInput</pre>
</li>
<li class="blockList">
<h4>overlayPicker</h4>
<pre>javax.swing.JLabel overlayPicker</pre>
</li>
<li class="blockList">
<h4>mappingLabel</h4>
<pre>javax.swing.JLabel mappingLabel</pre>
</li>
<li class="blockList">
<h4>keyTextLabel</h4>
<pre>javax.swing.JLabel keyTextLabel</pre>
</li>
<li class="blockList">
<h4>chosenKey</h4>
<pre>javax.swing.JLabel chosenKey</pre>
</li>
<li class="blockList">
<h4>chosenKeyLabel</h4>
<pre>javax.swing.JLabel chosenKeyLabel</pre>
</li>
<li class="blockList">
<h4>currentKeyDisplay</h4>
<pre>javax.swing.JLabel currentKeyDisplay</pre>
</li>
<li class="blockList">
<h4>currentKeyDisplayLabel</h4>
<pre>javax.swing.JLabel currentKeyDisplayLabel</pre>
</li>
<li class="blockList">
<h4>currentKeyMapping</h4>
<pre>javax.swing.JLabel currentKeyMapping</pre>
</li>
<li class="blockList">
<h4>currentKeyMappingLabel</h4>
<pre>javax.swing.JLabel currentKeyMappingLabel</pre>
</li>
<li class="blockList">
<h4>unicodePrompt</h4>
<pre>javax.swing.JLabel unicodePrompt</pre>
</li>
<li class="blockList">
<h4>entryType</h4>
<pre>javax.swing.JLabel entryType</pre>
</li>
<li class="blockList">
<h4>unicodeLabel</h4>
<pre>javax.swing.JLabel unicodeLabel</pre>
</li>
<li class="blockList">
<h4>chooseImage</h4>
<pre>javax.swing.JLabel chooseImage</pre>
</li>
<li class="blockList">
<h4>displayImagePath</h4>
<pre>javax.swing.JLabel displayImagePath</pre>
</li>
<li class="blockList">
<h4>key</h4>
<pre>java.lang.String key</pre>
</li>
<li class="blockList">
<h4>keymap</h4>
<pre>java.lang.String keymap</pre>
</li>
<li class="blockList">
<h4>displayType</h4>
<pre>java.lang.String displayType</pre>
</li>
<li class="blockList">
<h4>unicode</h4>
<pre>java.lang.String unicode</pre>
</li>
<li class="blockList">
<h4>currentMapping</h4>
<pre>java.lang.String currentMapping</pre>
</li>
<li class="blockList">
<h4>imageChooser</h4>
<pre>javax.swing.JFileChooser imageChooser</pre>
</li>
<li class="blockList">
<h4>save</h4>
<pre>javax.swing.JButton save</pre>
</li>
<li class="blockList">
<h4>cancel</h4>
<pre>javax.swing.JButton cancel</pre>
</li>
<li class="blockList">
<h4>chooseImageButton</h4>
<pre>javax.swing.JButton chooseImageButton</pre>
</li>
<li class="blockList">
<h4>randomise</h4>
<pre>javax.swing.JButton randomise</pre>
</li>
<li class="blockList">
<h4>reset</h4>
<pre>javax.swing.JButton reset</pre>
</li>
<li class="blockList">
<h4>presenter</h4>
<pre><a href="mapping/Presenter.html" title="class in mapping">Presenter</a> presenter</pre>
</li>
<li class="blockList">
<h4>overlayCombo</h4>
<pre>javax.swing.JComboBox&lt;E&gt; overlayCombo</pre>
</li>
<li class="blockList">
<h4>mappingCombo</h4>
<pre>javax.swing.JComboBox&lt;E&gt; mappingCombo</pre>
</li>
<li class="blockList">
<h4>layoutConstraints</h4>
<pre>java.awt.GridBagConstraints layoutConstraints</pre>
</li>
<li class="blockList">
<h4>window</h4>
<pre>javax.swing.JPanel window</pre>
</li>
<li class="blockList">
<h4>currentMappingInfo</h4>
<pre>javax.swing.JPanel currentMappingInfo</pre>
</li>
<li class="blockList">
<h4>newMapping</h4>
<pre>javax.swing.JPanel newMapping</pre>
</li>
<li class="blockList">
<h4>chooseImagePanel</h4>
<pre>javax.swing.JPanel chooseImagePanel</pre>
</li>
<li class="blockList">
<h4>unicodePanel</h4>
<pre>javax.swing.JPanel unicodePanel</pre>
</li>
<li class="blockList">
<h4>infoGroup</h4>
<pre>javax.swing.JPanel infoGroup</pre>
</li>
<li class="blockList">
<h4>keyPressesToIgnore</h4>
<pre>int keyPressesToIgnore</pre>
</li>
<li class="blockList">
<h4>overlayStyle</h4>
<pre>java.lang.String overlayStyle</pre>
</li>
<li class="blockList">
<h4>entryStyle</h4>
<pre>java.lang.String entryStyle</pre>
</li>
<li class="blockListLast">
<h4>img</h4>
<pre>java.awt.image.BufferedImage img</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="mapping.KeyboardDisplay">
<!--   -->
</a>
<h3>Class <a href="mapping/KeyboardDisplay.html" title="class in mapping">mapping.KeyboardDisplay</a> extends <a href="mapping/MainGUI.html" title="class in mapping">MainGUI</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>firstRow</h4>
<pre>javax.swing.JButton[] firstRow</pre>
</li>
<li class="blockList">
<h4>secondRow</h4>
<pre>javax.swing.JButton[] secondRow</pre>
</li>
<li class="blockList">
<h4>thirdRow</h4>
<pre>javax.swing.JButton[] thirdRow</pre>
</li>
<li class="blockList">
<h4>fourthRow</h4>
<pre>javax.swing.JButton[] fourthRow</pre>
</li>
<li class="blockList">
<h4>fifthRow</h4>
<pre>javax.swing.JButton[] fifthRow</pre>
</li>
<li class="blockList">
<h4>sixthRow</h4>
<pre>javax.swing.JButton[] sixthRow</pre>
</li>
<li class="blockList">
<h4>esc</h4>
<pre>javax.swing.JButton esc</pre>
</li>
<li class="blockList">
<h4>f1</h4>
<pre>javax.swing.JButton f1</pre>
</li>
<li class="blockList">
<h4>f2</h4>
<pre>javax.swing.JButton f2</pre>
</li>
<li class="blockList">
<h4>f3</h4>
<pre>javax.swing.JButton f3</pre>
</li>
<li class="blockList">
<h4>f4</h4>
<pre>javax.swing.JButton f4</pre>
</li>
<li class="blockList">
<h4>f5</h4>
<pre>javax.swing.JButton f5</pre>
</li>
<li class="blockList">
<h4>f6</h4>
<pre>javax.swing.JButton f6</pre>
</li>
<li class="blockList">
<h4>f7</h4>
<pre>javax.swing.JButton f7</pre>
</li>
<li class="blockList">
<h4>f8</h4>
<pre>javax.swing.JButton f8</pre>
</li>
<li class="blockList">
<h4>f9</h4>
<pre>javax.swing.JButton f9</pre>
</li>
<li class="blockList">
<h4>f10</h4>
<pre>javax.swing.JButton f10</pre>
</li>
<li class="blockList">
<h4>f11</h4>
<pre>javax.swing.JButton f11</pre>
</li>
<li class="blockList">
<h4>f12</h4>
<pre>javax.swing.JButton f12</pre>
</li>
<li class="blockList">
<h4>ps</h4>
<pre>javax.swing.JButton ps</pre>
</li>
<li class="blockList">
<h4>sLock</h4>
<pre>javax.swing.JButton sLock</pre>
</li>
<li class="blockList">
<h4>pause</h4>
<pre>javax.swing.JButton pause</pre>
</li>
<li class="blockList">
<h4>bt</h4>
<pre>javax.swing.JButton bt</pre>
</li>
<li class="blockList">
<h4>one</h4>
<pre>javax.swing.JButton one</pre>
</li>
<li class="blockList">
<h4>two</h4>
<pre>javax.swing.JButton two</pre>
</li>
<li class="blockList">
<h4>three</h4>
<pre>javax.swing.JButton three</pre>
</li>
<li class="blockList">
<h4>four</h4>
<pre>javax.swing.JButton four</pre>
</li>
<li class="blockList">
<h4>five</h4>
<pre>javax.swing.JButton five</pre>
</li>
<li class="blockList">
<h4>six</h4>
<pre>javax.swing.JButton six</pre>
</li>
<li class="blockList">
<h4>seven</h4>
<pre>javax.swing.JButton seven</pre>
</li>
<li class="blockList">
<h4>eight</h4>
<pre>javax.swing.JButton eight</pre>
</li>
<li class="blockList">
<h4>nine</h4>
<pre>javax.swing.JButton nine</pre>
</li>
<li class="blockList">
<h4>zero</h4>
<pre>javax.swing.JButton zero</pre>
</li>
<li class="blockList">
<h4>minus</h4>
<pre>javax.swing.JButton minus</pre>
</li>
<li class="blockList">
<h4>eq</h4>
<pre>javax.swing.JButton eq</pre>
</li>
<li class="blockList">
<h4>bs</h4>
<pre>javax.swing.JButton bs</pre>
</li>
<li class="blockList">
<h4>insert</h4>
<pre>javax.swing.JButton insert</pre>
</li>
<li class="blockList">
<h4>home</h4>
<pre>javax.swing.JButton home</pre>
</li>
<li class="blockList">
<h4>pUp</h4>
<pre>javax.swing.JButton pUp</pre>
</li>
<li class="blockList">
<h4>nLock</h4>
<pre>javax.swing.JButton nLock</pre>
</li>
<li class="blockList">
<h4>npSlash</h4>
<pre>javax.swing.JButton npSlash</pre>
</li>
<li class="blockList">
<h4>star</h4>
<pre>javax.swing.JButton star</pre>
</li>
<li class="blockList">
<h4>npMinus</h4>
<pre>javax.swing.JButton npMinus</pre>
</li>
<li class="blockList">
<h4>tab</h4>
<pre>javax.swing.JButton tab</pre>
</li>
<li class="blockList">
<h4>q</h4>
<pre>javax.swing.JButton q</pre>
</li>
<li class="blockList">
<h4>w</h4>
<pre>javax.swing.JButton w</pre>
</li>
<li class="blockList">
<h4>e</h4>
<pre>javax.swing.JButton e</pre>
</li>
<li class="blockList">
<h4>r</h4>
<pre>javax.swing.JButton r</pre>
</li>
<li class="blockList">
<h4>t</h4>
<pre>javax.swing.JButton t</pre>
</li>
<li class="blockList">
<h4>y</h4>
<pre>javax.swing.JButton y</pre>
</li>
<li class="blockList">
<h4>u</h4>
<pre>javax.swing.JButton u</pre>
</li>
<li class="blockList">
<h4>i</h4>
<pre>javax.swing.JButton i</pre>
</li>
<li class="blockList">
<h4>o</h4>
<pre>javax.swing.JButton o</pre>
</li>
<li class="blockList">
<h4>p</h4>
<pre>javax.swing.JButton p</pre>
</li>
<li class="blockList">
<h4>lb</h4>
<pre>javax.swing.JButton lb</pre>
</li>
<li class="blockList">
<h4>rb</h4>
<pre>javax.swing.JButton rb</pre>
</li>
<li class="blockList">
<h4>bSlash</h4>
<pre>javax.swing.JButton bSlash</pre>
</li>
<li class="blockList">
<h4>delete</h4>
<pre>javax.swing.JButton delete</pre>
</li>
<li class="blockList">
<h4>end</h4>
<pre>javax.swing.JButton end</pre>
</li>
<li class="blockList">
<h4>pDown</h4>
<pre>javax.swing.JButton pDown</pre>
</li>
<li class="blockList">
<h4>npSeven</h4>
<pre>javax.swing.JButton npSeven</pre>
</li>
<li class="blockList">
<h4>npEight</h4>
<pre>javax.swing.JButton npEight</pre>
</li>
<li class="blockList">
<h4>npNine</h4>
<pre>javax.swing.JButton npNine</pre>
</li>
<li class="blockList">
<h4>caps</h4>
<pre>javax.swing.JButton caps</pre>
</li>
<li class="blockList">
<h4>a</h4>
<pre>javax.swing.JButton a</pre>
</li>
<li class="blockList">
<h4>s</h4>
<pre>javax.swing.JButton s</pre>
</li>
<li class="blockList">
<h4>d</h4>
<pre>javax.swing.JButton d</pre>
</li>
<li class="blockList">
<h4>f</h4>
<pre>javax.swing.JButton f</pre>
</li>
<li class="blockList">
<h4>g</h4>
<pre>javax.swing.JButton g</pre>
</li>
<li class="blockList">
<h4>h</h4>
<pre>javax.swing.JButton h</pre>
</li>
<li class="blockList">
<h4>j</h4>
<pre>javax.swing.JButton j</pre>
</li>
<li class="blockList">
<h4>k</h4>
<pre>javax.swing.JButton k</pre>
</li>
<li class="blockList">
<h4>l</h4>
<pre>javax.swing.JButton l</pre>
</li>
<li class="blockList">
<h4>col</h4>
<pre>javax.swing.JButton col</pre>
</li>
<li class="blockList">
<h4>apos</h4>
<pre>javax.swing.JButton apos</pre>
</li>
<li class="blockList">
<h4>enter</h4>
<pre>javax.swing.JButton enter</pre>
</li>
<li class="blockList">
<h4>npFour</h4>
<pre>javax.swing.JButton npFour</pre>
</li>
<li class="blockList">
<h4>npFive</h4>
<pre>javax.swing.JButton npFive</pre>
</li>
<li class="blockList">
<h4>npSix</h4>
<pre>javax.swing.JButton npSix</pre>
</li>
<li class="blockList">
<h4>lShift</h4>
<pre>javax.swing.JButton lShift</pre>
</li>
<li class="blockList">
<h4>z</h4>
<pre>javax.swing.JButton z</pre>
</li>
<li class="blockList">
<h4>x</h4>
<pre>javax.swing.JButton x</pre>
</li>
<li class="blockList">
<h4>c</h4>
<pre>javax.swing.JButton c</pre>
</li>
<li class="blockList">
<h4>v</h4>
<pre>javax.swing.JButton v</pre>
</li>
<li class="blockList">
<h4>b</h4>
<pre>javax.swing.JButton b</pre>
</li>
<li class="blockList">
<h4>n</h4>
<pre>javax.swing.JButton n</pre>
</li>
<li class="blockList">
<h4>m</h4>
<pre>javax.swing.JButton m</pre>
</li>
<li class="blockList">
<h4>comma</h4>
<pre>javax.swing.JButton comma</pre>
</li>
<li class="blockList">
<h4>stop</h4>
<pre>javax.swing.JButton stop</pre>
</li>
<li class="blockList">
<h4>slash</h4>
<pre>javax.swing.JButton slash</pre>
</li>
<li class="blockList">
<h4>rShift</h4>
<pre>javax.swing.JButton rShift</pre>
</li>
<li class="blockList">
<h4>up</h4>
<pre>javax.swing.JButton up</pre>
</li>
<li class="blockList">
<h4>npOne</h4>
<pre>javax.swing.JButton npOne</pre>
</li>
<li class="blockList">
<h4>npTwo</h4>
<pre>javax.swing.JButton npTwo</pre>
</li>
<li class="blockList">
<h4>npThree</h4>
<pre>javax.swing.JButton npThree</pre>
</li>
<li class="blockList">
<h4>lCtrl</h4>
<pre>javax.swing.JButton lCtrl</pre>
</li>
<li class="blockList">
<h4>lWin</h4>
<pre>javax.swing.JButton lWin</pre>
</li>
<li class="blockList">
<h4>lAlt</h4>
<pre>javax.swing.JButton lAlt</pre>
</li>
<li class="blockList">
<h4>space</h4>
<pre>javax.swing.JButton space</pre>
</li>
<li class="blockList">
<h4>rAlt</h4>
<pre>javax.swing.JButton rAlt</pre>
</li>
<li class="blockList">
<h4>rWin</h4>
<pre>javax.swing.JButton rWin</pre>
</li>
<li class="blockList">
<h4>rClick</h4>
<pre>javax.swing.JButton rClick</pre>
</li>
<li class="blockList">
<h4>left</h4>
<pre>javax.swing.JButton left</pre>
</li>
<li class="blockList">
<h4>down</h4>
<pre>javax.swing.JButton down</pre>
</li>
<li class="blockList">
<h4>right</h4>
<pre>javax.swing.JButton right</pre>
</li>
<li class="blockList">
<h4>rCtrl</h4>
<pre>javax.swing.JButton rCtrl</pre>
</li>
<li class="blockList">
<h4>npZero</h4>
<pre>javax.swing.JButton npZero</pre>
</li>
<li class="blockList">
<h4>npStop</h4>
<pre>javax.swing.JButton npStop</pre>
</li>
<li class="blockList">
<h4>npPlus</h4>
<pre>javax.swing.JButton npPlus</pre>
</li>
<li class="blockList">
<h4>npEnter</h4>
<pre>javax.swing.JButton npEnter</pre>
</li>
<li class="blockList">
<h4>keyboard</h4>
<pre>javax.swing.JPanel keyboard</pre>
</li>
<li class="blockList">
<h4>keyboardFirst</h4>
<pre>javax.swing.JPanel keyboardFirst</pre>
</li>
<li class="blockList">
<h4>keyboardSecond</h4>
<pre>javax.swing.JPanel keyboardSecond</pre>
</li>
<li class="blockList">
<h4>keyboardThird</h4>
<pre>javax.swing.JPanel keyboardThird</pre>
</li>
<li class="blockList">
<h4>keyboardFourth</h4>
<pre>javax.swing.JPanel keyboardFourth</pre>
</li>
<li class="blockList">
<h4>keyboardFifth</h4>
<pre>javax.swing.JPanel keyboardFifth</pre>
</li>
<li class="blockList">
<h4>keyboardSixth</h4>
<pre>javax.swing.JPanel keyboardSixth</pre>
</li>
<li class="blockList">
<h4>keyConstraints</h4>
<pre>java.awt.GridBagConstraints keyConstraints</pre>
</li>
<li class="blockListLast">
<h4>keyboardConstraints</h4>
<pre>java.awt.GridBagConstraints keyboardConstraints</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="mapping.LoadXmlPopup">
<!--   -->
</a>
<h3>Class <a href="mapping/LoadXmlPopup.html" title="class in mapping">mapping.LoadXmlPopup</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>loadKm</h4>
<pre>javax.swing.JButton loadKm</pre>
</li>
<li class="blockList">
<h4>newKm</h4>
<pre>javax.swing.JButton newKm</pre>
</li>
<li class="blockList">
<h4>description</h4>
<pre>javax.swing.JLabel description</pre>
</li>
<li class="blockList">
<h4>content</h4>
<pre>javax.swing.JPanel content</pre>
</li>
<li class="blockList">
<h4>window</h4>
<pre>javax.swing.JPanel window</pre>
</li>
<li class="blockList">
<h4>fileChooser</h4>
<pre>javax.swing.JFileChooser fileChooser</pre>
</li>
<li class="blockListLast">
<h4>presenter</h4>
<pre><a href="mapping/Presenter.html" title="class in mapping">Presenter</a> presenter</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="mapping.MainGUI">
<!--   -->
</a>
<h3>Class <a href="mapping/MainGUI.html" title="class in mapping">mapping.MainGUI</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>buttonKeyPairings</h4>
<pre>java.util.HashMap&lt;K,V&gt; buttonKeyPairings</pre>
</li>
<li class="blockList">
<h4>keyboardArea</h4>
<pre>javax.swing.JPanel keyboardArea</pre>
</li>
<li class="blockList">
<h4>buttonDefaultDisplay</h4>
<pre>java.util.HashMap&lt;K,V&gt; buttonDefaultDisplay</pre>
</li>
<li class="blockList">
<h4>presenter</h4>
<pre><a href="mapping/Presenter.html" title="class in mapping">Presenter</a> presenter</pre>
</li>
<li class="blockList">
<h4>window</h4>
<pre>javax.swing.JPanel window</pre>
</li>
<li class="blockList">
<h4>currentKeymap</h4>
<pre>java.lang.String currentKeymap</pre>
</li>
<li class="blockList">
<h4>tree</h4>
<pre>javax.swing.JTree tree</pre>
</li>
<li class="blockList">
<h4>tabbedPane</h4>
<pre>javax.swing.JTabbedPane tabbedPane</pre>
</li>
<li class="blockList">
<h4>treeView</h4>
<pre>javax.swing.JScrollPane treeView</pre>
</li>
<li class="blockList">
<h4>buttonPanel</h4>
<pre>javax.swing.JPanel buttonPanel</pre>
</li>
<li class="blockList">
<h4>buttonGrid</h4>
<pre>javax.swing.JPanel buttonGrid</pre>
</li>
<li class="blockList">
<h4>keymapOptionsMenu</h4>
<pre>javax.swing.JPopupMenu keymapOptionsMenu</pre>
</li>
<li class="blockList">
<h4>newKeymap</h4>
<pre>javax.swing.JMenuItem newKeymap</pre>
</li>
<li class="blockList">
<h4>deleteKeymap</h4>
<pre>javax.swing.JMenuItem deleteKeymap</pre>
</li>
<li class="blockList">
<h4>rename</h4>
<pre>javax.swing.JMenuItem rename</pre>
</li>
<li class="blockList">
<h4>selectedNode</h4>
<pre>javax.swing.tree.DefaultMutableTreeNode selectedNode</pre>
</li>
<li class="blockList">
<h4>xml</h4>
<pre>javax.swing.JButton xml</pre>
</li>
<li class="blockList">
<h4>reset</h4>
<pre>javax.swing.JButton reset</pre>
</li>
<li class="blockList">
<h4>load</h4>
<pre>javax.swing.JButton load</pre>
</li>
<li class="blockList">
<h4>chooser</h4>
<pre>javax.swing.JFileChooser chooser</pre>
</li>
<li class="blockListLast">
<h4>fileChooser</h4>
<pre>javax.swing.JFileChooser fileChooser</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="mapping.NewKeyMapPopup">
<!--   -->
</a>
<h3>Class <a href="mapping/NewKeyMapPopup.html" title="class in mapping">mapping.NewKeyMapPopup</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>nameLabel</h4>
<pre>javax.swing.JLabel nameLabel</pre>
</li>
<li class="blockList">
<h4>radioLabel</h4>
<pre>javax.swing.JLabel radioLabel</pre>
</li>
<li class="blockList">
<h4>noTrigger</h4>
<pre>javax.swing.JRadioButton noTrigger</pre>
</li>
<li class="blockList">
<h4>oneTrigger</h4>
<pre>javax.swing.JRadioButton oneTrigger</pre>
</li>
<li class="blockList">
<h4>twoTrigger</h4>
<pre>javax.swing.JRadioButton twoTrigger</pre>
</li>
<li class="blockList">
<h4>threeTrigger</h4>
<pre>javax.swing.JRadioButton threeTrigger</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre>javax.swing.JTextField name</pre>
</li>
<li class="blockList">
<h4>triggerKeyOne</h4>
<pre>javax.swing.JTextField triggerKeyOne</pre>
</li>
<li class="blockList">
<h4>textOverlayOne</h4>
<pre>javax.swing.JTextField textOverlayOne</pre>
</li>
<li class="blockList">
<h4>textOverlayTwo</h4>
<pre>javax.swing.JTextField textOverlayTwo</pre>
</li>
<li class="blockList">
<h4>triggerKeyTwo</h4>
<pre>javax.swing.JTextField triggerKeyTwo</pre>
</li>
<li class="blockList">
<h4>triggerKeyThree</h4>
<pre>javax.swing.JTextField triggerKeyThree</pre>
</li>
<li class="blockList">
<h4>textOverlayThree</h4>
<pre>javax.swing.JTextField textOverlayThree</pre>
</li>
<li class="blockList">
<h4>save</h4>
<pre>javax.swing.JButton save</pre>
</li>
<li class="blockList">
<h4>cancel</h4>
<pre>javax.swing.JButton cancel</pre>
</li>
<li class="blockList">
<h4>presenter</h4>
<pre><a href="mapping/Presenter.html" title="class in mapping">Presenter</a> presenter</pre>
</li>
<li class="blockList">
<h4>window</h4>
<pre>javax.swing.JPanel window</pre>
</li>
<li class="blockList">
<h4>centerPanel</h4>
<pre>javax.swing.JPanel centerPanel</pre>
</li>
<li class="blockList">
<h4>form</h4>
<pre>javax.swing.JPanel form</pre>
</li>
<li class="blockList">
<h4>buttonContainer</h4>
<pre>javax.swing.JPanel buttonContainer</pre>
</li>
<li class="blockList">
<h4>group</h4>
<pre>javax.swing.ButtonGroup group</pre>
</li>
<li class="blockList">
<h4>layoutConstraints</h4>
<pre>java.awt.GridBagConstraints layoutConstraints</pre>
</li>
<li class="blockList">
<h4>triggerComboOne</h4>
<pre>javax.swing.JComboBox&lt;E&gt; triggerComboOne</pre>
</li>
<li class="blockList">
<h4>triggerComboTwo</h4>
<pre>javax.swing.JComboBox&lt;E&gt; triggerComboTwo</pre>
</li>
<li class="blockList">
<h4>triggerComboThree</h4>
<pre>javax.swing.JComboBox&lt;E&gt; triggerComboThree</pre>
</li>
<li class="blockList">
<h4>keyPanelOne</h4>
<pre>javax.swing.JPanel keyPanelOne</pre>
</li>
<li class="blockList">
<h4>keyPanelTwo</h4>
<pre>javax.swing.JPanel keyPanelTwo</pre>
</li>
<li class="blockList">
<h4>keyPanelThree</h4>
<pre>javax.swing.JPanel keyPanelThree</pre>
</li>
<li class="blockList">
<h4>imagePanelOne</h4>
<pre>javax.swing.JPanel imagePanelOne</pre>
</li>
<li class="blockList">
<h4>imagePanelTwo</h4>
<pre>javax.swing.JPanel imagePanelTwo</pre>
</li>
<li class="blockList">
<h4>imagePanelThree</h4>
<pre>javax.swing.JPanel imagePanelThree</pre>
</li>
<li class="blockList">
<h4>textPanelOne</h4>
<pre>javax.swing.JPanel textPanelOne</pre>
</li>
<li class="blockList">
<h4>textPanelTwo</h4>
<pre>javax.swing.JPanel textPanelTwo</pre>
</li>
<li class="blockList">
<h4>textPanelThree</h4>
<pre>javax.swing.JPanel textPanelThree</pre>
</li>
<li class="blockList">
<h4>comboPanelOne</h4>
<pre>javax.swing.JPanel comboPanelOne</pre>
</li>
<li class="blockList">
<h4>comboPanelTwo</h4>
<pre>javax.swing.JPanel comboPanelTwo</pre>
</li>
<li class="blockList">
<h4>comboPanelThree</h4>
<pre>javax.swing.JPanel comboPanelThree</pre>
</li>
<li class="blockList">
<h4>images</h4>
<pre>java.util.HashMap&lt;K,V&gt; images</pre>
</li>
<li class="blockList">
<h4>keyStringOne</h4>
<pre>java.lang.String keyStringOne</pre>
</li>
<li class="blockList">
<h4>keyStringTwo</h4>
<pre>java.lang.String keyStringTwo</pre>
</li>
<li class="blockList">
<h4>keyStringThree</h4>
<pre>java.lang.String keyStringThree</pre>
</li>
<li class="blockListLast">
<h4>parent</h4>
<pre>java.lang.String parent</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="mapping/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
